#! /bin/sh
#
# Copyright (C) 2003-2010 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

export MKLROOT="<INSTALLDIR>"

if [ -z "${INCLUDE}" ]
then
    export INCLUDE="${MKLROOT}/include"
else
    export INCLUDE="${MKLROOT}/include:$INCLUDE"
fi

if [ -z "${LD_LIBRARY_PATH}" ]
then
    export LD_LIBRARY_PATH="${MKLROOT}/lib/64"
else
    export LD_LIBRARY_PATH="${MKLROOT}/lib/64:$LD_LIBRARY_PATH"
fi

if [ -z "${MANPATH}" ]
then
    export MANPATH="${MKLROOT}/man/en_US:$(manpath)"
else
    export MANPATH="${MKLROOT}/man/en_US:$MANPATH"
fi

if [ -z "${LIBRARY_PATH}" ]
then
    export LIBRARY_PATH="${MKLROOT}/lib/64"
else
    export LIBRARY_PATH="${MKLROOT}/lib/64:$LIBRARY_PATH"
fi

if [ -z "${CPATH}" ]
then
    export CPATH="${MKLROOT}/include"
else
    export CPATH="${MKLROOT}/include:$CPATH"
fi

if [ -z "${FPATH}" ]
then
    export FPATH="${MKLROOT}/include"
else
    export FPATH="${MKLROOT}/include:$FPATH"
fi

if [ -z "${NLSPATH}" ]
then
    export NLSPATH="${MKLROOT}/lib/64/locale/%l_%t/%N"
else
    export NLSPATH="${MKLROOT}/lib/64/locale/%l_%t/%N:$NLSPATH"
fi
