#! /bin/csh
#
# Copyright (C) 2003-2010 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

setenv MKLROOT "<INSTALLDIR>"

if ($?INCLUDE) then
    setenv INCLUDE "${MKLROOT}/include:$INCLUDE"
else
    setenv INCLUDE "${MKLROOT}/include"
endif

if ($?LD_LIBRARY_PATH) then
    setenv LD_LIBRARY_PATH "${MKLROOT}/lib/32:$LD_LIBRARY_PATH"
else
    setenv LD_LIBRARY_PATH "${MKLROOT}/lib/32"
endif

if ($?MANPATH) then
    setenv MANPATH "${MKLROOT}/man/en_US:$MANPATH"
else
    setenv MANPATH "${MKLROOT}/man/en_US:`manpath`"
endif

if ($?LIBRARY_PATH) then
    setenv LIBRARY_PATH "${MKLROOT}/lib/32:$LIBRARY_PATH"
else
    setenv LIBRARY_PATH "${MKLROOT}/lib/32"
endif

if ($?CPATH) then
    setenv CPATH "${MKLROOT}/include:$CPATH"
else
    setenv CPATH "${MKLROOT}/include"
endif

if ($?FPATH) then
    setenv FPATH "${MKLROOT}/include:$FPATH"
else
    setenv FPATH "${MKLROOT}/include"
endif

if ($?NLSPATH) then
    setenv NLSPATH "${MKLROOT}/lib/32/locale/%l_%t/%N:$NLSPATH"
else
    setenv NLSPATH "${MKLROOT}/lib/32/locale/%l_%t/%N"
endif
